Subject: Re: bug#12886: 23.2; wrong message for "apropos"

From: "Mark A. Mandel" <[email-masked]>
Date: Wed, 14 Nov 2012 13:44:17 -0500

On 12.11.14, at 13:35, Glenn Morris wrote:

> Mark A. Mandel wrote:
> 
>> I am used to using ctl-H ctl-A for "apropos", i.e., find commands by
>> looking for substrings.
> 
> I can't find any version of Emacs in which C-h C-a runs apropos.
> I went back as far as 21.1.

I'm sorry, then. I must be misremembering that.
> 
>> But when I use ctl-H ctl-A I see (what I guess is) the Gnu Emacs
>> welcome or general info screen
> 
> Yes, C-h C-a runs `about-emacs' since Emacs 22.2. Before that, it was
> undefined.
> 
>> , and the minibuffer says something like "To search for help on a
>> subject, use ctl-H ctl-A":
> 
> As we can see below in the *Messages* output, it actually says:
> 
>  For information about GNU Emacs and the GNU system, type C-h C-a.

Oh, heck.

> which is true, but pointless, so the messages was removed recently
> and will be gone in Emacs 24.3. http://debbugs.gnu.org/12680
> 
>> Then I tried ctl-H A, which is in the ctl-H ? help command list. That
>> worked, and *that*'s what the minibuffer should say under the general
>> info screen.
> 
> I disagree that the about-emacs screen needs to mention apropos.

:-(  Yeah. My whole report only makes sense if ctl-H ctl-A is supposed to
get you to apropos.  I didn't try to reproduce the problem because I was 
afraid I'd be bumped out of the bug report window, so I was working from 
memory. And since I'd been looking for apropos, I took "information 
about GNU Emacs and the GNU system" as being a description of
apropos, which is only true in the most general sense. 

Summary: Ow, sorry for wasting your time. 

Mark Mandel

> 
>> In GNU Emacs 23.2.1 (x86_64-apple-darwin, NS apple-appkit-1038.29)
>> of 2010-05-08 on black.local
> [...]
>> Recent messages:
>> call-interactively: Command attempted to use minibuffer while in minibuffer
>> For information about GNU Emacs and the GNU system, type C-h C-a. [2 times]